import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class YSVRVideoView extends StatefulWidget {
  final Map video;
  const YSVRVideoView({Key? key, required this.video}) : super(key: key);

  @override
  YSVRVideoViewState createState() => YSVRVideoViewState();
}

class YSVRVideoViewState extends State<YSVRVideoView> {

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: const BorderRadius.all(Radius.circular(0)),
      child: Container(
        color: Colors.white,
        child: AndroidView(
          viewType: 'plugins.flutter.io/ys_vr_player_view',
          creationParams: {'path': widget.video['path']},
          creationParamsCodec: const StandardMessageCodec(),
        ),
      ),
    );
  }
}
